Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAccessible.Role

    java.lang.Object
      java.lang.Enum<QAccessible.Role>
          com.trolltech.qt.gui.QAccessible.Role

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAccessible.Role>

Enclosing class:
  QAccessible

    public static enum QAccessible.Role

extends java.lang.Enum<QAccessible.Role>
implements QtEnumerator

This enum defines the role of an accessible object. The roles are:

Constant | Value | Description
--- | --- | ---
`AlertMessage` | `8` | An object that is used to alert the user.
`Animation` | `54` | An object that displays an animation.
`Application` | `14` | The application's main window.
`Assistant` | `32` | An object that provids interactive help.
`Border` | `19` | An object that represents a border.
`ButtonDropDown` | `56` | A button that drops down a list of items.
`ButtonDropGrid` | `58` | A button that drops down a grid.
`ButtonMenu` | `57` | A button that drops down a menu.
`Canvas` | `53` | An object that displays graphics that the user can interact with.
`Caret` | `7` | An object that represents the system caret (text cursor).
`Cell` | `29` | A cell in a table.
`Chart` | `17` | An object that displays a graphical representation of data.
`CheckBox` | `44` | An object that represents an option that can be checked or unchecked. Some options provide a "mixed" state, e.g. neither checked nor unchecked.
`Client` | `10` | The client area in a window.
`Clock` | `61` | A clock displaying time.
`Column` | `27` | A column of cells, usually within a table.
`ColumnHeader` | `25` | A header for a column of data.
`ComboBox` | `46` | A list of choices that the user can select from.
`Cursor` | `6` | An object that represents the mouse cursor.
`Dial` | `49` | An object that represents a dial or knob.
`Dialog` | `18` | A dialog box.
`Document` | `15` | A document window, usually in an MDI environment.
`EditableText` | `42` | Editable text
`Equation` | `55` | An object that represents a mathematical equation.
`Graphic` | `40` | A graphic or picture, e.g. an icon.
`Grip` | `4` | A grip that the user can drag to change the size of widgets.
`Grouping` | `20` | An object that represents a logical grouping of other objects.
`HelpBalloon` | `31` | An object that displays help in a separate, short lived window.
`HotkeyField` | `50` | A hotkey field that allows the user to enter a key sequence.
`Indicator` | `39` | An indicator that represents a current value or item.
`LayeredPane` | `63` | An object that can contain layered children, e.g. in a stack.
`Link` | `30` | A link to something else.
`List` | `33` | A list of items, from which the user can select one or more items.
`ListItem` | `34` | An item in a list of items.
`MenuBar` | `2` | A menu bar from which menus are opened by the user.
`MenuItem` | `12` | An item in a menu or menu bar.
`NoRole` | `0` | The object has no role. This usually indicates an invalid object.
`PageTab` | `37` | A page tab that the user can select to switch to a different page in a dialog.
`PageTabList` | `60` | A list of page tabs.
`Pane` | `16` | A generic container.
`PopupMenu` | `11` | A menu which lists options that the user can select to perform an action.
`ProgressBar` | `48` | The object displays the progress of an operation in progress.
`PropertyPage` | `38` | A property page where the user can change options and settings.
`PushButton` | `43` | A button.
`RadioButton` | `45` | An object that represents an option that is mutually exclusive with other options.
`Row` | `28` | A row of cells, usually within a table.
`RowHeader` | `26` | A header for a row of data.
`ScrollBar` | `3` | A scroll bar, which allows the user to scroll the visible area.
`Separator` | `21` | A separator that divides space into logical areas.
`Slider` | `51` | A slider that allows the user to select a value within a given range.
`Sound` | `5` | An object that represents a sound.
`SpinBox` | `52` | A spin box widget that allows the user to enter a value within a given range.
`Splitter` | `62` | A splitter distributing available space between its child widgets.
`StaticText` | `41` | Static text, such as labels for other widgets.
`StatusBar` | `23` | A status bar.
`Table` | `24` | A table representing data in a grid of rows and columns.
`TitleBar` | `1` | The title bar caption of a window.
`ToolBar` | `22` | A tool bar, which groups widgets that the user accesses frequently.
`ToolTip` | `13` | A tool tip which provides information about other objects.
`Tree` | `35` | A list of items in a tree structure.
`TreeItem` | `36` | An item in a tree structure.
`UserRole` | `65535` | The first value to be used for user defined roles.
`Whitespace` | `59` | Blank space between other objects.
`Window` | `9` | A top level window.

Enum Constant Summary
`AlertMessage` An object that is used to alert the user.
`Animation` An object that displays an animation.
`Application` The application's main window.
`Assistant` An object that provids interactive help.
`Border` An object that represents a border.
`ButtonDropDown` A button that drops down a list of items.
`ButtonDropGrid` A button that drops down a grid.
`ButtonMenu` A button that drops down a menu.
`Canvas` An object that displays graphics that the user can interact with.
`Caret` An object that represents the system caret (text cursor).
`Cell` A cell in a table.
`Chart` An object that displays a graphical representation of data.
`CheckBox` An object that represents an option that can be checked or unchecked.
`Client` The client area in a window.
`Clock` A clock displaying time.
`Column` A column of cells, usually within a table.
`ColumnHeader` A header for a column of data.
`ComboBox` A list of choices that the user can select from.
`Cursor` An object that represents the mouse cursor.
`Dial` An object that represents a dial or knob.
`Dialog` A dialog box.
`Document` A document window, usually in an MDI environment.
`EditableText` Editable text
`Equation` An object that represents a mathematical equation.
`Graphic` A graphic or picture, e.g. an icon.
`Grip` A grip that the user can drag to change the size of widgets.
`Grouping` An object that represents a logical grouping of other objects.
`HelpBalloon` An object that displays help in a separate, short lived window.
`HotkeyField` A hotkey field that allows the user to enter a key sequence.
`Indicator` An indicator that represents a current value or item.
`LayeredPane` An object that can contain layered children, e.g. in a stack.
`Link` A link to something else.
`List` A list of items, from which the user can select one or more items.
`ListItem` An item in a list of items.
`MenuBar` A menu bar from which menus are opened by the user.
`MenuItem` An item in a menu or menu bar.
`NoRole` The object has no role.
`PageTab` A page tab that the user can select to switch to a different page in a dialog.
`PageTabList` A list of page tabs.
`Pane` A generic container.
`PopupMenu` A menu which lists options that the user can select to perform an action.
`ProgressBar` The object displays the progress of an operation in progress.
`PropertyPage` A property page where the user can change options and settings.
`PushButton` A button.
`RadioButton` An object that represents an option that is mutually exclusive with other options.
`Row` A row of cells, usually within a table.
`RowHeader` A header for a row of data.
`ScrollBar` A scroll bar, which allows the user to scroll the visible area.
`Separator` A separator that divides space into logical areas.
`Slider` A slider that allows the user to select a value within a given range.
`Sound` An object that represents a sound.
`SpinBox` A spin box widget that allows the user to enter a value within a given range.
`Splitter` A splitter distributing available space between its child widgets.
`StaticText` Static text, such as labels for other widgets.
`StatusBar` A status bar.
`Table` A table representing data in a grid of rows and columns.
`TitleBar` The title bar caption of a window.
`ToolBar` A tool bar, which groups widgets that the user accesses frequently.
`ToolTip` A tool tip which provides information about other objects.
`Tree` A list of items in a tree structure.
`TreeItem` An item in a tree structure.
`UserRole` The first value to be used for user defined roles.
`Whitespace` Blank space between other objects.
`Window` A top level window.

Method Summary
`static QAccessible.Role` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAccessible.Role` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAccessible.Role[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoRole

    public static final QAccessible.Role NoRole

  The object has no role. This usually indicates an invalid object.

### TitleBar

    public static final QAccessible.Role TitleBar

  The title bar caption of a window.

### MenuBar

    public static final QAccessible.Role MenuBar

  A menu bar from which menus are opened by the user.

### ScrollBar

    public static final QAccessible.Role ScrollBar

  A scroll bar, which allows the user to scroll the visible area.

### Grip

    public static final QAccessible.Role Grip

  A grip that the user can drag to change the size of widgets.

### Sound

    public static final QAccessible.Role Sound

  An object that represents a sound.

### Cursor

    public static final QAccessible.Role Cursor

  An object that represents the mouse cursor.

### Caret

    public static final QAccessible.Role Caret

  An object that represents the system caret (text cursor).

### AlertMessage

    public static final QAccessible.Role AlertMessage

  An object that is used to alert the user.

### Window

    public static final QAccessible.Role Window

  A top level window.

### Client

    public static final QAccessible.Role Client

  The client area in a window.

### PopupMenu

    public static final QAccessible.Role PopupMenu

  A menu which lists options that the user can select to perform an action.

### MenuItem

    public static final QAccessible.Role MenuItem

  An item in a menu or menu bar.

### ToolTip

    public static final QAccessible.Role ToolTip

  A tool tip which provides information about other objects.

### Application

    public static final QAccessible.Role Application

  The application's main window.

### Document

    public static final QAccessible.Role Document

  A document window, usually in an MDI environment.

### Pane

    public static final QAccessible.Role Pane

  A generic container.

### Chart

    public static final QAccessible.Role Chart

  An object that displays a graphical representation of data.

### Dialog

    public static final QAccessible.Role Dialog

  A dialog box.

### Border

    public static final QAccessible.Role Border

  An object that represents a border.

### Grouping

    public static final QAccessible.Role Grouping

  An object that represents a logical grouping of other objects.

### Separator

    public static final QAccessible.Role Separator

  A separator that divides space into logical areas.

### ToolBar

    public static final QAccessible.Role ToolBar

  A tool bar, which groups widgets that the user accesses frequently.

### StatusBar

    public static final QAccessible.Role StatusBar

  A status bar.

### Table

    public static final QAccessible.Role Table

  A table representing data in a grid of rows and columns.

### ColumnHeader

    public static final QAccessible.Role ColumnHeader

  A header for a column of data.

### RowHeader

    public static final QAccessible.Role RowHeader

  A header for a row of data.

### Column

    public static final QAccessible.Role Column

  A column of cells, usually within a table.

### Row

    public static final QAccessible.Role Row

  A row of cells, usually within a table.

### Cell

    public static final QAccessible.Role Cell

  A cell in a table.

### Link

    public static final QAccessible.Role Link

  A link to something else.

### HelpBalloon

    public static final QAccessible.Role HelpBalloon

  An object that displays help in a separate, short lived window.

### Assistant

    public static final QAccessible.Role Assistant

  An object that provids interactive help.

### List

    public static final QAccessible.Role List

  A list of items, from which the user can select one or more items.

### ListItem

    public static final QAccessible.Role ListItem

  An item in a list of items.

### Tree

    public static final QAccessible.Role Tree

  A list of items in a tree structure.

### TreeItem

    public static final QAccessible.Role TreeItem

  An item in a tree structure.

### PageTab

    public static final QAccessible.Role PageTab

  A page tab that the user can select to switch to a different page in a dialog.

### PropertyPage

    public static final QAccessible.Role PropertyPage

  A property page where the user can change options and settings.

### Indicator

    public static final QAccessible.Role Indicator

  An indicator that represents a current value or item.

### Graphic

    public static final QAccessible.Role Graphic

  A graphic or picture, e.g. an icon.

### StaticText

    public static final QAccessible.Role StaticText

  Static text, such as labels for other widgets.

### EditableText

    public static final QAccessible.Role EditableText

  Editable text

### PushButton

    public static final QAccessible.Role PushButton

  A button.

### CheckBox

    public static final QAccessible.Role CheckBox

  An object that represents an option that can be checked or unchecked. Some options provide a "mixed" state, e.g. neither checked nor unchecked.

### RadioButton

    public static final QAccessible.Role RadioButton

  An object that represents an option that is mutually exclusive with other options.

### ComboBox

    public static final QAccessible.Role ComboBox

  A list of choices that the user can select from.

### ProgressBar

    public static final QAccessible.Role ProgressBar

  The object displays the progress of an operation in progress.

### Dial

    public static final QAccessible.Role Dial

  An object that represents a dial or knob.

### HotkeyField

    public static final QAccessible.Role HotkeyField

  A hotkey field that allows the user to enter a key sequence.

### Slider

    public static final QAccessible.Role Slider

  A slider that allows the user to select a value within a given range.

### SpinBox

    public static final QAccessible.Role SpinBox

  A spin box widget that allows the user to enter a value within a given range.

### Canvas

    public static final QAccessible.Role Canvas

  An object that displays graphics that the user can interact with.

### Animation

    public static final QAccessible.Role Animation

  An object that displays an animation.

### Equation

    public static final QAccessible.Role Equation

  An object that represents a mathematical equation.

### ButtonDropDown

    public static final QAccessible.Role ButtonDropDown

  A button that drops down a list of items.

### ButtonMenu

    public static final QAccessible.Role ButtonMenu

  A button that drops down a menu.

### ButtonDropGrid

    public static final QAccessible.Role ButtonDropGrid

  A button that drops down a grid.

### Whitespace

    public static final QAccessible.Role Whitespace

  Blank space between other objects.

### PageTabList

    public static final QAccessible.Role PageTabList

  A list of page tabs.

### Clock

    public static final QAccessible.Role Clock

  A clock displaying time.

### Splitter

    public static final QAccessible.Role Splitter

  A splitter distributing available space between its child widgets.

### LayeredPane

    public static final QAccessible.Role LayeredPane

  An object that can contain layered children, e.g. in a stack.

### UserRole

    public static final QAccessible.Role UserRole

  The first value to be used for user defined roles.

Method Detail

### values

    public static final QAccessible.Role[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAccessible.Role c : QAccessible.Role.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAccessible.Role valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAccessible.Role resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD